#!/bin/bash  
#
# set variables
#
if [ -e ../bin/dolgeo -a  -e ../bin/dolfyn ]; then
  PREPRC="../bin/dolgeo"
  DOLFYN="../bin/dolfyn"
else
  echo Compile first 
  exit
fi

STEPS=400
CONVG=1.e-9

GZIP=`which gzip`     
GUNZIP=`which gunzip`     

function clean {
  test -f $1.txt && rm $1.txt
  test -f $1.dbg && rm $1.dbg
  test -f $1.mon && rm $1.mon
  test -f $1.res && rm $1.res
  test -f $1.odx && rm $1.odx
  test -f $1.vtk && rm $1.vtk
}
function unpack {
  test -f $1.cel.gz && $GUNZIP $1.cel.gz
  test -f $1.vrt.gz && $GUNZIP $1.vrt.gz
  test -f $1.bnd.gz && $GUNZIP $1.bnd.gz
}
function runit {
  unpack $1

  echo $1     > dolfyn.cfg
  echo "1.0" >> dolfyn.cfg
  echo "bin" >> dolfyn.cfg

  test -a $1.geo || $PREPRC

  clean $1

  $DOLFYN
}
#
# demo
#
runit demo

#
# kanaal / channel
#
runit kanaal

#
# pijp1 / pipe
#
runit pijp1

#
# step
#
runit step

#
# cylinders
#
runit cilinders2

#
# wes case
#
runit wes2
